package me.wazup.hideandseek.commands.admin;

import org.bukkit.ChatColor;
import me.wazup.hideandseek.Arena;
import org.bukkit.command.CommandSender;
import me.wazup.hideandseek.Customization;
import me.wazup.hideandseek.HideAndSeek;
import me.wazup.hideandseek.commands.SubCommand;

public class CheckCommand extends SubCommand
{
    public CheckCommand() {
        super("hideandseek.check", true, "<Arena>");
    }
    
    public boolean execute(final HideAndSeek hideAndSeek, final Customization customization, final CommandSender commandSender, final String[] array) {
        if (array.length == 1) {
            return false;
        }
        final Arena value = Arena.valueOf(array[1]);
        if (value == null) {
            commandSender.sendMessage(customization.prefix + "Couldn't find an arena with that name!");
            return true;
        }
        commandSender.sendMessage(ChatColor.AQUA + "" + ChatColor.STRIKETHROUGH + "-----------------");
        commandSender.sendMessage(ChatColor.AQUA + " - " + ChatColor.GOLD + "Arena: " + ChatColor.GREEN + value.name);
        commandSender.sendMessage(ChatColor.AQUA + " - " + ChatColor.GOLD + "Starting amount of seekers: " + ((value.startingAmountOfSeekers > 0) ? ChatColor.GREEN : ChatColor.RED) + value.startingAmountOfSeekers);
        commandSender.sendMessage(ChatColor.AQUA + " - " + ChatColor.GOLD + "Min hiders: " + ((value.minHiders > 0) ? ChatColor.GREEN : ChatColor.RED) + value.minHiders);
        commandSender.sendMessage(ChatColor.AQUA + " - " + ChatColor.GOLD + "Lobby spawn: " + ((value.lobbySpawn != null) ? (ChatColor.GREEN + "Set") : (ChatColor.RED + "Not set")));
        commandSender.sendMessage(ChatColor.AQUA + " - " + ChatColor.GOLD + "Seekers waiting spawn: " + ((value.seekersWaitingSpawn != null) ? (ChatColor.GREEN + "Set") : (ChatColor.RED + "Not set")));
        commandSender.sendMessage(ChatColor.AQUA + " - " + ChatColor.GOLD + "Seekers playing spawn: " + ((value.seekersPlayingSpawn != null) ? (ChatColor.GREEN + "Set") : (ChatColor.RED + "Not set")));
        commandSender.sendMessage(ChatColor.AQUA + " - " + ChatColor.GOLD + "Hiders spawn: " + ((value.hidersSpawn != null) ? (ChatColor.GREEN + "Set") : (ChatColor.RED + "Not set")));
        commandSender.sendMessage(ChatColor.AQUA + " - " + ChatColor.GOLD + "Disguises: " + ((value.disguises.size() > 0) ? ChatColor.GREEN : ChatColor.RED) + value.disguises.size());
        commandSender.sendMessage(ChatColor.AQUA + " - " + ChatColor.GOLD + "Powerups: " + ChatColor.GREEN + value.powerups.size());
        commandSender.sendMessage(ChatColor.AQUA + "" + ChatColor.STRIKETHROUGH + "-----------------");
        return true;
    }
}
